﻿/*******************************************************************************
File        : Program.cs
Description : 
--------------------------------------------------------------------------------
Functions:
--------------------------------------------------------------------------------
History:
2011/05/12 TPR Created
*******************************************************************************/
using System;
using Wiker.WIDatabase;


namespace Insert
{
   /*******************************************************************************
   Class        : Program
   Description  : 
   --------------------------------------------------------------------------------
   History:
   2011/05/12 TPR Created
   *******************************************************************************/
   class Program
   {      
      /*******************************************************************************
      Function    : Main()
      Description : 
      Parameters  : string[] args - 
      Returns     : void
      --------------------------------------------------------------------------------
      History:
      2011/05/12 TPR Created
      *******************************************************************************/
      static void Main(string[] args)
      {         
         WIDatabase WIDB;
         int idx;
         string Str;
         CDatabaseInfo DBInfo;

         /* Create DatabaseInfo object with login info  */
         DBInfo = new CDatabaseInfo();
         DBInfo.DatabaseType = eDatabaseType.SQLite;
         DBInfo.Location =  "\\WIDatabase\\Samples";
         DBInfo.DBName = "SQLite.db3";         
         DBInfo.Password = "";
         DBInfo.Port = 0;
         DBInfo.Username = "";

         /* Create WIDatabase object */
         WIDB = new WIDatabase(DBInfo);
               
         /* Calling Insert.Clear() ensures we are not inserting extraneous data. */
         WIDB.Insert.Clear();

         /* Insert.Table([tableName]) indicates the table into which the data will be placed */
         WIDB.Insert.Table("tblAddress");

         /* The Column Class is used to add columns to the insert */
         WIDB.Insert.Column("Address1", "123 Fake St");
         WIDB.Insert.Column("Address2","APT 42");
         WIDB.Insert.Column("City","Springfield");
         WIDB.Insert.Column("State","KY");
         WIDB.Insert.Column("ZipCode","40069");
                  
         /* Insert.Execute() inserts the data. */
         if (!WIDB.Insert.Execute(out idx))
            Str = string.Format("Failed to insert address.\nLastError = {0}\n{1}",WIDB.LastError.ToString(), WIDB.LastErrorMessage);            
         else
            Str = string.Format("Inserted new address with Id of {0}.",idx);
         
         /* Good practice is to close the DB when finished */
         WIDB.Close();

         Console.WriteLine(Str);
      }
   }/* End Class */
}/* End NameSpace */
