﻿Imports System.Collections.ObjectModel
Imports Wiker.WIDatabase

Module Module1

    Sub Main()
        Dim WIDB As WIDatabase
        Dim Str As String
        Dim DBInfo As CDatabaseInfo
        Dim Conditions As Collection(Of CCondition)

        ' Create DatabaseInfo object with login info  

        DBInfo = New CDatabaseInfo()
        DBInfo.DatabaseType = eDatabaseType.SQLite
        DBInfo.Location =  "\WIDatabase\Samples"
        DBInfo.DBName = "SQLite.db3"
        DBInfo.Password = ""
        DBInfo.Port = 0
        DBInfo.Username = ""

        ' Create WIDatabase object 

        WIDB = New WIDatabase(DBInfo)

        ' Calling Update.Clear() ensures we are starting a new statement. 

        WIDB.Update.Clear()

        ' Update.Column: List of columns which will have their data updated 

        WIDB.Update.Column("ZipCode", "90210")

        ' Update.Table([tableName]) indicates the table which will have data updated 

        WIDB.Update.Table("tblAddress")

        ' Update.Condition: conditional clause to select data which will be updated. 

        Conditions = New Collection(Of CCondition)()
        Conditions.Add(New CCondition("State", eOperator.Equal, "PA"))
        Conditions.Add(New CCondition(eLogic.[AND]))
        Conditions.Add(New CCondition("City", eOperator.Equal, "York"))

        WIDB.Update.Condition(Conditions)

        ' Update.Execute() updates the data. 

        If Not WIDB.Update.Execute() Then
            Str = String.Format("Failed to update record(s)." & vbLf & "LastError = {0}" & vbLf & "{1}", WIDB.LastError.ToString(), WIDB.LastErrorMessage)
        Else
            Str = "Updated Records"
        End If

        ' Good practice is to close the DB when finished 

        WIDB.Close()

    End Sub

End Module
